/* header triangle decoration*/
.page-tlt{
    background-image: url("../images/pic1edited.jpg");
}
.page-tlt h1{
    font-size: 6rem;
}
.nav-two-row{
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
    transform: skew(-10deg);
}

/* add match button */
.add-match, .match-button{
    display: block;
    margin: 0 15px 0 15px;
    padding: 15px;
    
    background-color: #FF1814;
    color: white;
    text-decoration: none;
    cursor: pointer;
    transition: 0.2s ease;
    font-family: Montserrat;
    font-weight: bold;
    border: none;
    font-size: 20px;
    text-align: center;
    
    -webkit-appearance: none;
    -moz-user-select: none;
    -ms-user-select: none;
}
.add-match{
    padding: 15px 60px 15px 60px;
}
.add-match:hover, .match-button:hover {
    transform: scale(1.1);
    background-color: #ff5657;
}

.comp-header {
    font-size: 50px;
    margin-top: 150px;
}

/* teams and scores header*/
.team-header {
    display: block;
    font-size: 30px;
    text-shadow: 2px 2px black;
    padding-bottom: 20px;
}

/* average table */
.average-table {
    display: block;
    width: 90%;
    padding: 0;
    margin: 20px auto 50px auto;
    
    overflow-x: scroll;
    overflow-y: visible;
}

.average-table th {
    font-size: 22px;
    padding: 15px 2px 15px 2px;
    cursor: pointer;
}

.average-table td {
    font-size: 21px;
    padding-left: 10px;
    padding-bottom: 10px;
    width: 25%;
}

/* team column*/
.view{
    text-decoration: underline;
    padding-right: 180px;
}

/* displays the icon and label on the same line and widens the team columns*/
.inline {
    margin-right: 150px;
    display: inline;
    text-align: center;
}

.inline-team {
    margin-right: 140px;
    display: inline;
    text-align: center;
}

.highlightedCell {
    color: #FF1814;
}

/* charts container*/
.charts {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin-right: auto;
    margin-left: auto;
    width: 90%;
}

/* average score chart CSS*/
#score_chart {
    width: 100%;
    height: 500px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 30px;
    margin-bottom: 30px;
}

.nav-two-row{
    display: flex;
    justify-content: center;
    margin-bottom: 40px
}

/* search bar css */
.search-bar{
    display: flex;
    flex-direction: row;
    justify-content: center;
    
    margin-top: 30px;
    margin-bottom: 40px;
    padding: 20px;
    
    font-size: calc(12px + 0.75vw);
    font-family: "Montserrat";
    
    outline: none;
}

.search-bar h1{
    padding: 10px;
    width: 50px;
    
    border-radius: 5px;
    background-color: grey;
}

.search-bar input{
    padding-left: 25px;
    width: calc(80% - 50px);
    
    font-size: calc(10px + 0.75vw);
    font-family: "Montserrat";
    background-color: grey;
    border: 2px solid #474747;
    outline: none;
}

.search-bar input::placeholder{
    color: #adadad;
    font-family: "Montserrat";
    font-size: calc(12px + 0.75vw);
    
    text-decoration: none;
}

@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: portrait) {
    .page-tlt h1{
        width: 90%;
        margin-left: auto;
        margin-right: 17px;
        top: 0px;
    }
    
    .page-tlt{
        display: block;
        
        position: relative;
        margin: 0 0 calc(90px - 1.5vw) 0;    
        height: calc(35vh + 70px);
        min-height: 450px;
    }
    
    .nav-two-row{
        flex-direction: column;
        margin: 0 auto 30px;
    }
    .add-match, .match-button{
        margin: 5px 10% 5px 10%;
    }
    
    .charts {
        width: 100%;
    }
    
    #climbing_chart {
        width: 200px;
    }
    
    .average-table th {
        font-size: 19px;
    }
    
    .average-table td {
    font-size: 19px;
    padding-left: 10px;
    padding-bottom: 10px;
    width: 25%;
    }
    
    .inline {
    margin-right: 70px;
    display: inline;
    }
    
    #score_chart {
        width: 90%;
        margin-top: 20px;
        margin-bottom: 20px;
        height: 300px;
    }
}

@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: landscape) {
    .page-tlt h1{
        font-size: 50px;
        width: 90%;
        margin-left: 300px;
        margin-right: 50px;
        top: 0px;
    }
    .page-tlt{
        display: block;
        
        position: relative;
        margin: 0 0 calc(90px - 1.5vw) 0;    
        height: calc(35vh + 70px);
        min-height: 320px;
    }
    
    #score_chart {
        width: 100%;
        height: 420px;
    }
    
    .average-table th {
        font-size: 22px;
        padding: 15px 2px 15px 2px;
    }
    
    .average-table td {
        font-size: 19px;
        padding-left: 10px;
        padding-bottom: 10px;
        width: 25%;
    }
    
    .inline {
        margin-right: 60px;
        display: inline;
    }
}